[darcs-users] cabal-install bootstrapping fails on Ubuntu 9.10 / Karmic Koala

Trent W. Buck twb at cybersource.com.au
Mon Dec 7 01:39:24 UTC 2009


Mark Stosberg <mark at summersault.com> writes:

> I'm having trouble installing "cabal-install 0.6.2" on a new laptop
> today, on Karmic Koala.

cabal-install is available in Lucid[0].  You might be able to simply
backport that version, since the ghc6 versions in karmic and lucid are
identical.  The process is approximately:

  1. sudoedit /etc/apt/sources.list  # add a deb-src entry for lucid
  2. sudo apt-get update
  3. sudo apt-get build-dep cabal-install
  4. cd `mktemp -d`                  # enter a clean working dir
  5. fakeroot apt-get --build source cabal
  6. sudo dpkg -i cabal-install *.deb

If the above steps aren't clear to you, then you probably don't know
enough about dpkg and apt to perform such a backport safely.


[0] see http://packages.ubuntu.com/<package name>



More information about the darcs-users mailing list